Bug 1291238 - committing with the space key in ibus-typing-booster works correctly only in GTK applications but not in Qt and X11 applications
committing with the space key in ibus-typing-booster works correctly only in ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: ibus-typing-booster (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mike FABIAN
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-14 06:42 EST by Mike FABIAN
Modified: 2016-08-21 01:49 EDT (History)
5 users (show)

See Also:
Fixed In Version: ibus-typing-booster-1.3.0-3.fc23 ibus-typing-booster-1.3.0-3.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-22 17:02:58 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
0001-Forward-key-events-triggering-a-commit-using-forward.patch (2.17 KB, patch)
2015-12-14 06:49 EST, Mike FABIAN
no flags Details | Diff

  None (edit)
Description Mike FABIAN 2015-12-14 06:42:01 EST
ibus-typing-booster-1.2.15-1.fc23.noarch

In GTK applications (gedit, gnome-terminal, ...):

type “word ”, the result is “word ”.

In KDE, Qt, X11 applications (konsole, xterm, rxvt-unicode, ...): 


type “word ”, the result is “ word”.

Same problem when committing with the arrow keys, the return key or the enter key.
Comment 1 Mike FABIAN 2015-12-14 06:49 EST
Created attachment 1105559 [details]
0001-Forward-key-events-triggering-a-commit-using-forward.patch
Comment 2 fujiwara 2015-12-14 20:29:28 EST
Interesting fix.
Qt 5.6 will fix the async issue but ibus-x11 is changed to use sync mode in ibus 1.5.11 and caused this bug.
Probably I think the similar fix can be applied to ibus-hangul too.

https://github.com/ibus/ibus/issues/1742
Comment 3 Fedora Update System 2015-12-17 07:25:55 EST
ibus-typing-booster-1.3.0-3.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-10ffd394ce
Comment 4 Fedora Update System 2015-12-17 07:26:47 EST
ibus-typing-booster-1.3.0-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-fefee286e1
Comment 5 Fedora Update System 2015-12-18 06:27:01 EST
ibus-typing-booster-1.3.0-3.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ibus-typing-booster'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-10ffd394ce
Comment 6 Fedora Update System 2015-12-18 06:55:49 EST
ibus-typing-booster-1.3.0-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update ibus-typing-booster'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-fefee286e1
Comment 7 Fedora Update System 2015-12-22 17:02:49 EST
ibus-typing-booster-1.3.0-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-01-08 21:20:53 EST
ibus-typing-booster-1.3.0-3.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Mike FABIAN 2016-08-21 01:49:49 EDT
On Fedora 24, forward_key_event() seems to do nothing anymore in Qt applications!

Note You need to log in before you can comment on or make changes to this bug.